nix3-store-add-file(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix store add-file - add a regular file to the Nix store

Synopsis
nix store add-file [option…] path

Description
Copy the regular file path to the Nix store, and print the resulting store path on standard output.

    Warning

    The resulting store path is not registered as a garbage collector root, so it could be deleted before you have a chance to register it.

Examples
Add a regular file to the store:

    # echo foo > bar
    # nix store add-file ./bar
    /nix/store/cbv2s4bsvzjri77s2gb8g8bpcb6dpa8w-bar
    # cat /nix/store/cbv2s4bsvzjri77s2gb8g8bpcb6dpa8w-bar
    foo

Options

•   --dry-run
    Show what this command would do without doing it.

•   --name / -n name
    Override the name component of the store path. It defaults to the base name of path.